#!/usr/bin/env tclshexe
package require LDASJob
package require tconvert

################################################################
#  makesumplots.tcl               AJW, 1/25/03
#
#  Adapted for S2 LC, 1/14/03
#
################################################################

set QUERYTIME [tconvert $1]
set DBDELAY 10800
set stride 86400
set waitstepms 5000

puts "first querrytime: $QUERYTIME ($1)"
puts "stride:           $stride sec" 
set stridems [expr $stride * 1000]
set HOME "/home/sballmer"
set BASE "$HOME/work/fastGlitch"
#cd $BASE

while { 1 } {

   set nowgps [tconvert now]
   set now [tconvert $nowgps]
   while { $nowgps < $QUERYTIME + $DBDELAY } {
     after $waitstepms 
     set nowgps [tconvert now]
     set now [tconvert $nowgps]
   }
   
   puts "Begin MakeDayPlots for $QUERYTIME at $now"

   set u1 [expr $QUERYTIME - $stride]
   set u2 $QUERYTIME
   set ts [tconvert $QUERYTIME]
   puts "$ts"
   if { [catch {exec ./fastScript $u1 $u2} result ] } {puts "Makeplots error,  $result"
   } else {puts "Makeplots success,\n $result" }

   set nowgps [tconvert now]
   set now [tconvert $nowgps]
   puts "End MakePlots at $now"

   set QUERYTIME [expr $QUERYTIME + $stride]
   puts "Wait for the next day..."   
}
